[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'LMessages' (#lcl)

# GetMessageName

Gets the string representation for the specified message constant.

## Declaration

Source position: lmessages.pp line 892

`function GetMessageName(`
`const AMessage: Integer`
`):string;`

## Arguments

`AMessage` |  | Message number converted in the routine.

## Function result

String with the name for the message.

## Description

GetMessageName can be used to convert the Integer value in AMessage to a String representing the message name. It handles LCL-specific messages RECEIVED from the interface. There are no defines for the messages sent TO the interface.